<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>PgpSignatoryFactory (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="PgpSignatoryFactory (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatoryProvider.html" title="class in org.gradle.plugins.signing.signatory.pgp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/signing/signatory/pgp/PgpSignatoryFactory.html" target="_top">Frames</a></li>
<li><a href="PgpSignatoryFactory.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugins.signing.signatory.pgp</div>
<h2 title="Class PgpSignatoryFactory" class="title">Class PgpSignatoryFactory</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.plugins.signing.signatory.pgp.PgpSignatoryFactory</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">PgpSignatoryFactory</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Creates <a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp"><code>PgpSignatory</code></a> instances.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatoryFactory.html#PgpSignatoryFactory()">PgpSignatoryFactory</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpSignatory</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatoryFactory.html#createSignatory(org.gradle.api.Project)">createSignatory</a></strong>(<a href="../../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpSignatory</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatoryFactory.html#createSignatory(org.gradle.api.Project,%20boolean)">createSignatory</a></strong>(<a href="../../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project,
               boolean&nbsp;required)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpSignatory</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatoryFactory.html#createSignatory(org.gradle.api.Project,%20java.lang.String)">createSignatory</a></strong>(<a href="../../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project,
               <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;propertyPrefix)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpSignatory</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatoryFactory.html#createSignatory(org.gradle.api.Project,%20java.lang.String,%20boolean)">createSignatory</a></strong>(<a href="../../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project,
               <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;propertyPrefix,
               boolean&nbsp;required)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpSignatory</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatoryFactory.html#createSignatory(org.gradle.api.Project,%20java.lang.String,%20java.lang.String)">createSignatory</a></strong>(<a href="../../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project,
               <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;propertyPrefix,
               <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpSignatory</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatoryFactory.html#createSignatory(org.gradle.api.Project,%20java.lang.String,%20java.lang.String,%20boolean)">createSignatory</a></strong>(<a href="../../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project,
               <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;propertyPrefix,
               <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
               boolean&nbsp;required)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpSignatory</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatoryFactory.html#createSignatory(java.lang.String,%20org.bouncycastle.openpgp.PGPSecretKey,%20java.lang.String)">createSignatory</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
               org.bouncycastle.openpgp.PGPSecretKey&nbsp;secretKey,
               <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpSignatory</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatoryFactory.html#createSignatory(java.lang.String,%20java.lang.String,%20java.io.File,%20java.lang.String)">createSignatory</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
               <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;keyId,
               <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;keyRing,
               <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatoryFactory.html#getQualifiedPropertyName(java.lang.String,%20java.lang.String)">getQualifiedPropertyName</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;propertyPrefix,
                        <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpKeyId.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpKeyId</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatoryFactory.html#normalizeKeyId(java.lang.String)">normalizeKeyId</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;keyId)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpSignatory</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatoryFactory.html#readProperties(org.gradle.api.Project,%20java.lang.String,%20java.lang.String)">readProperties</a></strong>(<a href="../../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project,
              <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix,
              <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpSignatory</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatoryFactory.html#readProperties(org.gradle.api.Project,%20java.lang.String,%20java.lang.String,%20boolean)">readProperties</a></strong>(<a href="../../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project,
              <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix,
              <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
              boolean&nbsp;required)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.bouncycastle.openpgp.PGPSecretKey</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatoryFactory.html#readSecretKey(java.io.InputStream,%20java.lang.String,%20java.lang.String)">readSecretKey</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;input,
             <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;keyId,
             <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sourceDescription)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.bouncycastle.openpgp.PGPSecretKey</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatoryFactory.html#readSecretKey(org.bouncycastle.openpgp.PGPSecretKeyRingCollection,%20org.gradle.plugins.signing.signatory.pgp.PgpKeyId,%20java.lang.String)">readSecretKey</a></strong>(org.bouncycastle.openpgp.PGPSecretKeyRingCollection&nbsp;keyRings,
             <a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpKeyId.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpKeyId</a>&nbsp;keyId,
             <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sourceDescription)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>org.bouncycastle.openpgp.PGPSecretKey</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatoryFactory.html#readSecretKey(java.lang.String,%20java.io.File)">readSecretKey</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;keyId,
             <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PgpSignatoryFactory()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PgpSignatoryFactory</h4>
<pre>public&nbsp;PgpSignatoryFactory()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createSignatory(org.gradle.api.Project, boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSignatory</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpSignatory</a>&nbsp;createSignatory(<a href="../../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project,
                           boolean&nbsp;required)</pre>
</li>
</ul>
<a name="createSignatory(org.gradle.api.Project)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSignatory</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpSignatory</a>&nbsp;createSignatory(<a href="../../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project)</pre>
</li>
</ul>
<a name="createSignatory(org.gradle.api.Project, java.lang.String, boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSignatory</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpSignatory</a>&nbsp;createSignatory(<a href="../../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project,
                           <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;propertyPrefix,
                           boolean&nbsp;required)</pre>
</li>
</ul>
<a name="createSignatory(org.gradle.api.Project, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSignatory</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpSignatory</a>&nbsp;createSignatory(<a href="../../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project,
                           <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;propertyPrefix)</pre>
</li>
</ul>
<a name="createSignatory(org.gradle.api.Project, java.lang.String, java.lang.String, boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSignatory</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpSignatory</a>&nbsp;createSignatory(<a href="../../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project,
                           <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;propertyPrefix,
                           <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                           boolean&nbsp;required)</pre>
</li>
</ul>
<a name="createSignatory(org.gradle.api.Project, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSignatory</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpSignatory</a>&nbsp;createSignatory(<a href="../../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project,
                           <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;propertyPrefix,
                           <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
</li>
</ul>
<a name="createSignatory(java.lang.String, java.lang.String, java.io.File, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSignatory</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpSignatory</a>&nbsp;createSignatory(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                           <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;keyId,
                           <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;keyRing,
                           <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</pre>
</li>
</ul>
<a name="createSignatory(java.lang.String, org.bouncycastle.openpgp.PGPSecretKey, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSignatory</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpSignatory</a>&nbsp;createSignatory(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                           org.bouncycastle.openpgp.PGPSecretKey&nbsp;secretKey,
                           <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</pre>
</li>
</ul>
<a name="readProperties(org.gradle.api.Project, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readProperties</h4>
<pre>protected&nbsp;<a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpSignatory</a>&nbsp;readProperties(<a href="../../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project,
                          <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix,
                          <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
</li>
</ul>
<a name="readProperties(org.gradle.api.Project, java.lang.String, java.lang.String, boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readProperties</h4>
<pre>protected&nbsp;<a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpSignatory</a>&nbsp;readProperties(<a href="../../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project,
                          <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;prefix,
                          <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                          boolean&nbsp;required)</pre>
</li>
</ul>
<a name="getQualifiedPropertyName(java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getQualifiedPropertyName</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;getQualifiedPropertyName(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;propertyPrefix,
                              <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
</li>
</ul>
<a name="readSecretKey(java.lang.String, java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readSecretKey</h4>
<pre>public&nbsp;org.bouncycastle.openpgp.PGPSecretKey&nbsp;readSecretKey(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;keyId,
                                                  <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</pre>
</li>
</ul>
<a name="readSecretKey(java.io.InputStream, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readSecretKey</h4>
<pre>protected&nbsp;org.bouncycastle.openpgp.PGPSecretKey&nbsp;readSecretKey(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;input,
                                                  <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;keyId,
                                                  <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sourceDescription)</pre>
</li>
</ul>
<a name="readSecretKey(org.bouncycastle.openpgp.PGPSecretKeyRingCollection, org.gradle.plugins.signing.signatory.pgp.PgpKeyId, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readSecretKey</h4>
<pre>protected&nbsp;org.bouncycastle.openpgp.PGPSecretKey&nbsp;readSecretKey(org.bouncycastle.openpgp.PGPSecretKeyRingCollection&nbsp;keyRings,
                                                  <a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpKeyId.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpKeyId</a>&nbsp;keyId,
                                                  <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sourceDescription)</pre>
</li>
</ul>
<a name="normalizeKeyId(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>normalizeKeyId</h4>
<pre>protected&nbsp;<a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpKeyId.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpKeyId</a>&nbsp;normalizeKeyId(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;keyId)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatory.html" title="class in org.gradle.plugins.signing.signatory.pgp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatoryProvider.html" title="class in org.gradle.plugins.signing.signatory.pgp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/signing/signatory/pgp/PgpSignatoryFactory.html" target="_top">Frames</a></li>
<li><a href="PgpSignatoryFactory.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
